# coding: utf-8
from collection import OrderedDict
from .dict import DictModel


class OrderedDictModel(OrderedDict, DictModel):
    """ordereddict structure that is repeatedly drawn.
    """
    __type = OrderedDict

    def __init__(self, *args, **kwargs):
        super(DictModel, self).__init__(*args, **kwargs)
        super(OrderedDictModel, self).__init__({})
